Bug 1035823 (CVE-2013-6885)

Summary: CVE-2013-6885 hw: AMD CPU erratum may cause core hang
Product: [Other] Security Response Reporter: Petr Matousek <pmatouse>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: agordeev, collura, dhoward, drjones, imammedo, jkurik, lwang, mrezanin, nobody, pbonzini, pholasek, plougher, rkrcmar, rvrbovsk, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20131128,reported=20131127,source=upstream,cvss2=4.3/AV:A/AC:H/Au:S/C:N/I:N/A:C,rhel-5/kernel-xen=affected,fedora-all/xen=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-06-20 09:16:06 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1035834, 1035836    
Bug Blocks: 1035806    

Description Petr Matousek 2013-11-28 09:57:09 EST
793 Specific Combination of Writes to Write Combined Memory
Types and Locked Instructions May Cause Core Hang

Under a highly specific and detailed set of internal timing
conditions, a locked instruction may trigger a timing sequence whereby
the write to a write combined memory type is not flushed, causing the
locked instruction to stall indefinitely.

Potential Effect on System
Processor core hang.

Suggested Workaround
BIOS should set MSRC001_1020[15] = 1b.

The vulnerability is applicable only to family 16h model 00h-0fh AMD
CPUs. Non-AMD CPUs are not vulnerable.

References:
http://support.amd.com/TechDocs/51810_16h_00h-0Fh_Rev_Guide.pdf
http://thread.gmane.org/gmane.comp.security.oss.general/11555

Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue. Upstream acknowledges Jan Beulich as the original reporter.
Comment 2 Petr Matousek 2013-11-28 09:58:48 EST
Statement:

This hardware issue is affecting certain AMD processors. Please consult your hardware vendor for any potential firmware updates providing a workaround for this issue.
Comment 4 Petr Matousek 2013-12-02 12:44:04 EST
Xen issued advisory:

  http://www.openwall.com/lists/oss-security/2013/12/02/1
Comment 6 Vincent Danen 2014-02-19 16:42:10 EST
It was noted that the previous fix was not sufficient for 32bit systems and also requires the following patch:

http://xenbits.xenproject.org/xsa/xsa82-4.1-32bit.patch

or

http://xenbits.xenproject.org/xsa/xsa82-4.2-32bit.patch

The advisory has further details.


External References:

http://xenbits.xenproject.org/xsa/advisory-82.html
Comment 7 Andrew Jones 2014-02-20 06:42:14 EST
This shouldn't affect our backport. No additional patch needed for rhel5.
Comment 8 errata-xmlrpc 2014-03-12 14:30:18 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:0285 https://rhn.redhat.com/errata/RHSA-2014-0285.html